6.0.0-git
2020-01-18

[#3580] alternative part not displayed
Summary alternative part not displayed
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester vilius (at) lnk (dot) lt
Created 2006-03-08 (5064 days ago)
Due
Updated 2009-08-13 (3810 days ago)
Assigned 2008-11-09 (4087 days ago)
Resolved 2008-11-19 (4077 days ago)
Milestone 5
Patch No

History
2009-08-13 15:44:09 Michael Slusarz Comment #24 Reply to this comment
This is fixed in IMP 5.0.
Hi,
I'm rellay interested in that correction. I see it's not a patch but
is it possible to apply it to an existing system ?
No.  The entire MIME system has been rewritten for Horde 4.
2009-08-13 09:22:23 julien (dot) gresse (at) gecko (dot) fr Comment #23 Reply to this comment
This is fixed in IMP 5.0.
Hi,

I'm rellay interested in that correction. I see it's not a patch but 
is it possible to apply it to an existing system ?



I'm working under Debian an the IMP 5.0 version is not going to be 
accepted soon...



Could you give me some hints to correct this problem ?



Thanks in advance.
2008-11-19 05:43:49 Michael Slusarz Comment #22
State ⇒ Resolved
Reply to this comment
This is fixed in IMP 5.0.
2008-11-09 02:19:07 Chuck Hagenbuch Comment #21
State ⇒ Assigned
Reply to this comment
un-stalling
2006-07-07 02:43:14 Michael Slusarz Comment #20 Reply to this comment
No need to raise priority since this is not something that can/will be 
fixed before 5.0.
2006-07-06 06:36:32 vilius (at) lnk (dot) lt Comment #19 Reply to this comment
I suggest raising the priority to at least Medium, because HTML inline 
rendering is turned off by default in IMP. And this bug is serious 
enough with that setting.
2006-07-06 04:50:29 Michael Slusarz Comment #18 Reply to this comment
See Bug 4073.
2006-05-09 03:57:17 Michael Slusarz Comment #17
State ⇒ Stalled
Priority ⇒ 1. Low
Reply to this comment
As mentioned previously, there is not much we can do about displaying 
this message with the current status of the code without breaking 
display of another message.
2006-05-08 15:33:15 Jan Schneider Assigned to Michael Slusarz
State ⇒ Assigned
 
2006-04-14 22:05:05 vilius (at) lnk (dot) lt Comment #16 Reply to this comment
I turned off display of the part inline, but I still must have a link 
(or any other method) to access it. In this case I get a link with a 
part, but as I said I get only empty file. This is definetely not right.
2006-04-14 18:52:36 Chuck Hagenbuch Comment #15 Reply to this comment
Another sample of message where no parts is displayed if HTML inline
is turned off.

IMP displays only a link to multipart/alternative and if you click on
it, IMP downloads an empy file.
Well, for this one we should just say there are no parts that can be 
displayed inline. Probably we're tripped up by the 
multipart/alternative, but since it only has one part, not much else 
we can do if you've turned off display of that part.
2006-04-14 15:17:16 Michael Slusarz Comment #14 Reply to this comment
Unfortunately, I don't know if we can fix this issue (given the 
current MIME rendering code) without either breaking BC and/or without 
breaking rendering of other messages.
2006-04-14 13:48:41 vilius (at) lnk (dot) lt Comment #13
New Attachment: VMI_primena.eml Download
Reply to this comment
Another sample of message where no parts is displayed if HTML inline 
is turned off.



IMP displays only a link to multipart/alternative and if you click on 
it, IMP downloads an empy file.
2006-04-13 01:12:53 Chuck Hagenbuch Comment #12
Taken from Chuck Hagenbuch
State ⇒ Feedback
Reply to this comment
No. There is no plaintext part in the multipart/related part anyway.
2006-04-12 22:46:39 Jan Schneider Comment #11
Assigned to Chuck Hagenbuch
State ⇒ Assigned
Reply to this comment
Chuck, has this been fixed with your changes regarding inline 
configuration of the plain viewer in mime_drivers.php?
2006-03-11 14:01:02 Chuck Hagenbuch Comment #10 Reply to this comment
I must note, that MIME structure of the example message was created
by Thunderbird. And also, I personally asked Michael a couple of
months ago is it correct, and he said it is.
No one said it's invalid. It's perfectly valid, we just don't have 
good logic for figuring out if a multipart/* part is "displayable" - 
we assume we'll find something in it to display, even if that ends up 
not being the case.
2006-03-11 10:55:59 vilius (at) lnk (dot) lt Comment #9 Reply to this comment
I must note, that MIME structure of the example message was created by 
Thunderbird. And also, I personally asked Michael a couple of months 
ago is it correct, and he said it is.
2006-03-11 00:10:17 Chuck Hagenbuch Comment #8 Reply to this comment
I can reproduce this now if I turn off inline html. I'm guessing you 
don't see the alternative display because the text part isn't 
displayed, and that's where the alternative text would be.



I think the problem may be that the 2nd part isn't text/html, it's 
multipart/related, so when we're looking at what we can display, we 
see text/plain vs. multipart/related and we blindly go with the 
multipart/related. Then we get there and inline html is off, so we 
don't have anything to display.



Michael, that sound right? Any idea what we can do about it?
2006-03-10 23:01:10 vilius (at) lnk (dot) lt Comment #7 Reply to this comment
Actually I have it activated and set to 'below'.
2006-03-10 22:59:14 Michael Slusarz Comment #6 Reply to this comment
Can IMP then show plain part inline if HTML is disabled? And I still
think IMP must keep access to HTML part somewhere (e.g. in
alternative part/attachment list).
If you want the "old" behavior, you need to activate the preference 
'alternative_display'.
2006-03-10 22:51:27 vilius (at) lnk (dot) lt Comment #5 Reply to this comment
Yes, I have HTML inline parts set to off.



Can IMP then show plain part inline if HTML is disabled? And I still 
think IMP must keep access to HTML part somewhere (e.g. in alternative 
part/attachment list).
2006-03-10 21:42:31 Chuck Hagenbuch Comment #4 Reply to this comment
I'm guessing you have html inline turned off? We're now matching the 
behavior of other email clients much more closely for alternative 
parts; we show the richest one we can, and ignore the others. I see 
the HTML part just fine if I have html inline turned on.
2006-03-10 16:32:55 vilius (at) lnk (dot) lt Comment #3 Reply to this comment
Still don't work for me. I only see one plain/text part and only as 
attachment.



2 weeks (or so) before it was shown like plain/text message with 
alternative html/text part.
2006-03-10 00:19:56 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Works perfectly for me.
2006-03-08 13:45:35 vilius (at) lnk (dot) lt Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ alternative part not displayed
Queue ⇒ IMP
New Attachment: LNK_naujienra__tis.eml Download
Reply to this comment
Multipart messages with alternative parts are not longer displayed in 
recent CVS. Example message attached.

Saved Queries